# Sisense Regression Line Plugin

**Supported Sisense Version**: 7.0.1+  
**Plugin Version**: 2.0  
**Last updated**: March 4 2018

## Description

The plugin allows adding a regression line to a cartesian charts and trellis widget.
Allowed types: line, exponential and logarithmic. 

## Installation

1. Download the plugin
2. Extract the `.zip` folder to `C:\Program Files\Sisense\PrismWeb\Plugins`
    - If the folder does not exist, please create it before extracting the `.zip` file.
3. Refresh your dashboard

## Implementation

1. Open a dashboard and create a new widget of type column, line, bar, area, scatter or trellis.
2. For every value you add, you can set a regression line by clicking the item menu, choosing the 
regression line menu, and choose the appropriate regression type on the submenu.  

## Configurations
You can also set regression line to a series using the widget script with the following code:

````````````
widget.on('processresult', function(sender, args) {
        var seriesIndexInMetadataPanel = 0;
        args.result.series[seriesIndexInMetadataPanel].regression = true;
        args.result.series[seriesIndexInMetadataPanel].regressionSettings = {
                type: 'linear',
                color:  '#29a2a4',
                dashStyle : 'dash',
                name : 'regression line'
        };
 });
````````````

Regression has a few design options that can be set:

Name          Type         Description                                                  Default
---------------------------------------------------------------------------------------------------                
type          string      The type of the regression formula,                           "linear"
                          can be linear, exponential or logarithmic
    
color         string      Series color                                                  series color by metadata color

dashStyle     string      the series type:                                              "dash"
                          https://api.highcharts.com/highcharts/series.line.dashStyle
   
name          string      the name of the series - is presented on the legend           "[item title] Regression)"
    
hideInLegend  bool        Enable/ disable regression series on legend                   enabled

lineWidth     number      Width of regression line series                               2

tooltip       object     A configuration object for the tooltip rendering               
                         of each regression series. 
                         http://api.highcharts.com/highcharts#series<line>.tooltip
                         
lineType      string     The type of series                                             'spline'
                         http://api.highcharts.com/highcharts#series<line>.type	

## Notes:
* Supported widgets: column, line, bar, area, scatter or trellis.
* The plugin will add additional regression series to the chart for every series that is marked 
with regression flag - the original series is not replaced by the regression 

## Limitations

1. Does not support break by on cartesian charts
2. Regression line are saved but are not presented on widget type changed or widget duplication. 
To present the regression again, a refresh is required.
3. Regression data is not exported to csv